Messages
iMessage Availability
GET
/
imessage
/
availability
iMessage availability
curl --request GET \
--url https://api.arnio.co/api/v1/imessage/availability \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.arnio.co/api/v1/imessage/availability"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.arnio.co/api/v1/imessage/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Success",
"data": {
"available": true
}
}{
"success": false,
"message": "Validation error",
"errors": {
"phoneNumber": [
"Phone number must be a valid international format (e.g., +1234567890)"
]
}
}{
"success": false,
"error": "Failed to check iMessage availability"
}Check whether a phone number can receive iMessages. Requires authentication. Make sure to encode phone numer in query param.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| phoneNumber | query | string | ✅ | Phone number in international (E.164) format, e.g. +1234567890 |
Responses
- 200: Availability retrieved successfully (proxied from the Messages server)
- 400: Invalid or missing
phoneNumber - 500: Failed to check iMessage availability
⌘I
iMessage availability
